List Authorizations V2
curl --request GET \
--url https://api.honeycomb.io/2/auth \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.honeycomb.io/2/auth"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.honeycomb.io/2/auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "hcxik_12345678901234567890123456",
"type": "api-keys",
"attributes": {
"name": "mgmt write key",
"key_type": "management",
"disabled": false,
"scopes": [
"api-keys:write"
],
"timestamps": {
"created": "2022-09-22T17:32:11Z",
"updated": "2022-10-31T15:08:11Z"
}
},
"relationships": {
"team": {
"data": {
"id": "hxctm_12345678901234567890123456",
"type": "teams"
}
}
}
},
"included": [
{
"id": "hcxtm_12345678901234567890123456",
"type": "teams",
"attributes": {
"name": "My Team",
"slug": "my-team"
}
}
]
}{
"error": "<string>"
}{
"error": "Rate Limited"
}List Authorizations V2
Returns metadata about the Management API Key used to call the API.
GET
/
2
/
auth
List Authorizations V2
Authorizations
Authenticate using a Honeycomb Management Key.
Pass the Management Key as a Bearer token in the Authorization header:
Authorization: Bearer hcxmk_12345678901234567890123456:12345678901234567890123456789012
Construct the key value by joining the Key ID and Secret with a colon (:).
To learn how to create a Management Key, visit Manage Team API Keys. To learn more about authenticating requests, visit API Authentication.
⌘I